Package org.apache.tools.ant.types

# Class Quantifier

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.Quantifier

public class Quantifier extends EnumeratedAttribute
EnumeratedAttribute for quantifier comparisons. Evaluates a `boolean[]` or raw `true` and `false` counts. Accepts the following values:

"all"
  none `false`
"each"
  none `false`
"every"
  none `false`
"any"
  at least one `true`
"some"
  at least one `true`
"one"
  exactly one `true`
"majority"
  more `true` than `false`
"most"
  more `true` than `false`
"none"
  none `true`

Since:
  Ant 1.7

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Quantifier`
  `ALL`
  ALL instance
  `static final Quantifier`
  `ANY`
  ANY instance
  `static final Quantifier`
  `MAJORITY`
  MAJORITY instance
  `static final Quantifier`
  `NONE`
  NONE instance
  `static final Quantifier`
  `ONE`
  ONE instance

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Quantifier()`
  Default constructor.
  `Quantifier(String value)`
  Construct a new Quantifier with the specified value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(boolean[] b)`
  Evaluate a `boolean` array.
  `boolean`
  `evaluate(int t, int f)`
  Evaluate integer `true` vs.
  `String[]`
  `getValues()`
  Return the possible values.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ALL

    public static final Quantifier ALL
    ALL instance

  - ### ANY

    public static final Quantifier ANY
    ANY instance

  - ### ONE

    public static final Quantifier ONE
    ONE instance

  - ### MAJORITY

    public static final Quantifier MAJORITY
    MAJORITY instance

  - ### NONE

    public static final Quantifier NONE
    NONE instance

- ## Constructor Details

  - ### Quantifier

    public Quantifier()
    Default constructor.

  - ### Quantifier

    public Quantifier(String value)
    Construct a new Quantifier with the specified value.
    Parameters:
      `value` - the EnumeratedAttribute value.

- ## Method Details

  - ### getValues

    public String[] getValues()
    Return the possible values.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      String[] of EnumeratedAttribute values.

  - ### evaluate

    public boolean evaluate(boolean[] b)
    Evaluate a `boolean` array.
    Parameters:
      `b` - the `boolean[]` to evaluate.
    Returns:
      true if the argument fell within the parameters of this Quantifier.

  - ### evaluate

    public boolean evaluate(int t, int f)
    Evaluate integer `true` vs. `false` counts.
    Parameters:
      `t` - the number of `true` values.
      `f` - the number of `false` values.
    Returns:
      true if the arguments fell within the parameters of this Quantifier.